
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>_DataStructure_C_Impl:在顺序表中查找元素 / 憋错料</title>

    <meta name="description" content="_DataStructure_C_Impl:在顺序表中查找元素 // _DataStructure_C_Impl:Search #include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; #define MaxSize 100 #define IndexSize 20 typedef int KeyType; //元素的定义 typedef struct{ KeyType key; }DataType; //顺序表的类型定义 typedef struct{ DataType list[MaxSize]; int leng ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">_DataStructure_C_Impl:在顺序表中查找元素</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<pre>// _DataStructure_C_Impl:Search
#include&lt;stdio.h&gt;
#include&lt;stdlib.h&gt;
#define MaxSize 100
#define IndexSize 20
typedef int KeyType;
//元素的定义
typedef struct{
	KeyType key;
}DataType;
//顺序表的类型定义
typedef struct{
	DataType list[MaxSize];
	int length;
}SSTable;
//索引表的类型定义
typedef struct{
	KeyType maxkey;
	int index;
}IndexTable[IndexSize];
//在顺序表中查找关键字为x的元素，如果找到返回该元素在表中的位置，否则返回0
int SeqSearch(SSTable S,DataType x){
	int i=0;
	while(i&lt;S.length&amp;&amp;S.list[i].key!=x.key)		//从顺序表的第一个元素开始比较
		i++;
	if(S.list[i].key==x.key)
		return i+1;
	else
		return 0;
}
int SeqSearch2(SSTable S,DataType x){
	int i=S.length;
	S.list[0].key=x.key;	//监视哨S.list[0]
	while(S.list[i].key&gt;x.key)
		i--;
	return i;
}
//在有序顺序表中折半查找关键字为x的元素，如果找到返回该元素在表中的位置，否则返回0
int BinarySearch(SSTable S,DataType x){
	int low,high,mid;
	low=0;				//设置待查找元素范围的下界和上界
	high=S.length-1;
	while(low&lt;=high){
		mid=(low+high)/2;
		if(S.list[mid].key==x.key)		//如果找到元素，则返回该元素所在的位置
			return mid+1;
		else if(S.list[mid].key&lt;x.key)	//如果mid所指示的元素小于关键字，则修改low指针
			low=mid+1;
		else if(S.list[mid].key&gt;x.key)	//如果mid所指示的元素大于关键字，则修改high指针
			high=mid-1;
	}
	return 0;
}
//在主表S中查找关键字为x的元素，T为索引表。如果找到返回该元素在表中的位置，否则返回0
int SeqIndexSearch(SSTable S,IndexTable T,int m,DataType x){	//分块查找;索引查找
	int i,j,bl;
	for(i=0;i&lt;m;i++)	//通过索引表确定要查找元素所在的单元
		if(T[i].maxkey&gt;=x.key)
			break;
	if(i&gt;m)		//如果要查找的元素不在索引顺序表中，则返回0
		return 0;
	j=T[i].index;	//要查找的元素在的主表的第j单元
	if(i&lt;m-1)		//bl为第j单元的长度
		bl=T[i+1].index-T[i].index;
	else
		bl=S.length-T[i].index;
	while(j&lt;T[i].index+bl)
		if(S.list[j].key==x.key)	//如果找到关键字，则返回该关键字在主表中所在的位置
			return j+1;
		else
			j++;
	return 0;
}
void main(){
	SSTable S1={{123,23,34,6,8,355,32,67},8};
	SSTable S2={{11,23,32,35,39,41,45,67},8};
	SSTable S3={{6,12,23,16,21,26,41,32,37,35,48,46,49,47,52,61,59,76,68,72},20};
	IndexTable T={{23,0},{41,5},{52,10},{76,15}};
	DataType x={32};
	int pos;
	if((pos=SeqSearch(S1,x))!=0)
		printf(&quot;顺序表的查找：关键字32在主表中的位置是：%2d\n&quot;,pos);
	else
		printf(&quot;查找失败！\n&quot;);
	if((pos=BinarySearch(S2,x))!=0)
		printf(&quot;折半查找：关键字32在主表中的位置是：%2d\n&quot;,pos);
	else
		printf(&quot;查找失败！\n&quot;);
	if((pos=SeqIndexSearch(S3,T,4,x))!=0)
		printf(&quot;索引顺序表的查找：关键字32在主表中的位置是：%2d\n&quot;,pos);
	else
		printf(&quot;查找失败！\n&quot;);
	system(&quot;pause&quot;);
}</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA4MTMwMTIwNDA3MjU=.jpg"></p>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载｜Copyright &#169;2011-2015,Supernatural, All Rights Reserved.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-25 13:56:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="数据结构">数据结构</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>_DataStructure_C_Impl:在顺序表中查找元素的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49EBYA4.html" rel="bookmark">顺序表的查找、插入、删除、合并操作及其优缺点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				顺序表的查找.插入.删除.合并操作,用c++实现相关代码: #include&lt;iostream&gt; using namespace std; //定义线性表顺序存储结构 #define MAXSIZE 100  //线性表最大长度 typedef struct { //线性表占用数组空间 int elem[MAXSIZE]; //记录线性表中最后一个元素在数组elem[]中的位置(下标值),空表置为-1 int last; }SeqList; //顺序表的按内容查找运算 //在顺序表L中查找与e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgxVXr0.html" rel="bookmark">顺序表中基本操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:最近玩esp8266和ucos-iii以及在学c++比较多,接触的大部分都是指针.结构体.链表:刚好自己又在看数据结构(数据结构真的非常重要,要好好学,是学算法的敲门砖,哈哈哈),个人看法在对顺序表进行元素增和删操作,效率比较低(要移动非常多的其他元素),而我之前写的对链表操作,使用指针操作,效率就高多了.好了,来看今天的学习总结吧! 一.顺序表的初始化: 算法步骤: 1.为顺序表L动态分配一个预定义大小的数组空间,使elem指向这段空间的基地址 2.将表的当前长度设为0 伪代码实现: S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Z6RJL3.html" rel="bookmark">顺序表的查找</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.对长度为4的顺序表进行查找,若第一个元素的概率为1/8,第二个元素的概率为1/4,第三个元素的概率为3/8,第四个元素的概率为1/4,则查找任一个元素的平均查找长度为( ) A)11/8           B)7/4                         C)9/4       D)11/4 [答案]C [解析]对顺序表查找,ASL＝ ,代入题目得:ASL=4*(1/8)+3*(1/4)+2*(3/8)+1*(1/4)=9/4 注意:是从表尾开始查找 顺序查找 折半查找 分块查找			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r5a9v0.html" rel="bookmark">在雇员表中查找第二高的工资SQL语句助记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        &quot;在雇员表中查找第二高的工资的员工记录&quot;SQL语句怎么写         这个查询首先查找最高工资,然后将它从列表中排除,再查找最高工资.很明显,第二次返回的是第二高工资. select top 1 * from employee where salary not int (select max(salary) from emplyee) order by salary desc 或者 select top 1 * from(select top 2 * from em			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MglvjO0.html" rel="bookmark">查找&lbrack;1&rsqb;顺序表的查找</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简单顺序查找,有序表的二分查找,索引顺序表的查找 1 #include &quot;iostream&quot; 2 #include &quot;iomanip&quot; 3 #include &quot;time.h&quot; 4 #include &quot;stdlib.h&quot; 5 using namespace std; 6 7 #define Max 20 8 9 /* 10 *简单顺序查找 11 */ 12 int Seq_Search(int A[],int n,int x)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KvVowM.html" rel="bookmark">3&period;05 在一个表中查找与其他表不匹配的记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题:对于具有相同关键字的两个表,要在一个表中查找与另外一个不匹配的行.例如,要查找没有职员的部门. 要查找部门中每个员工的工作岗位需要在表需要在表deptno及emp中有一个等值联接.deptno列就是这两个表之间的公共值.但是,等值联接却不能直接显示出那个部门没有员工.这是因为在表emp和dept正在等值联接时,将会返回满足联接条件的所有行.可是我们只需要那些在表dept中不满足联接条件的行. 尽管乍看起来这个问题同前一个问题类似,但是要更复杂一些.其不同之处就是在前一个问题中,需要列出在表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dveqz4.html" rel="bookmark">&lbrack;leetcode&rsqb; 34&period; 在排序数组中查找元素的第一个和最后一个位置&lpar;Java&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				34. 在排序数组中查找元素的第一个和最后一个位置 题目要求用O(logn),明显要用二分. 其实二分不难,难的是要处理好边界 class Solution { public int[] searchRange(int[] nums, int target) { int i = 0, j = nums.length; int mid = (i + j) / 2; int p = -1; while (i &lt; j) { if (nums[mid] == target) { p = mid; bre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyePPYM.html" rel="bookmark">数据结构&colon;单向链表系列5--在链表中查找元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在链表中查找元素 函数签名: bool search(Node *head, int x) 如果在链表中查找到这个元素返回true,否则false 迭代法 2) 初始化一个节点指针, current = head. 3) 如果current不为NULL执行以下循环 a) current-&gt;key 等于当前待查找值key则返回true. b) current = current-&gt;next 4) 否则返回 false /*Checks whether the value key is prese			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jG2bE3.html" rel="bookmark">LeetCode-在受污染的二叉树中查找元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在受污染的二叉树中查找元素 LeetCode-1261 /** * 给出一个满足下述规则的二叉树: * root.val == 0 * 如果 treeNode.val == x 且?treeNode.left != null,那么?treeNode.left.val == 2 * x + 1 * 如果 treeNode.val == x 且 treeNode.right != null,那么?treeNode.right.val == 2 * x + 2 * 现在这个二叉树受到「污染」,所有的?			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM6l9v3.html" rel="bookmark" class="title">越来越好之--年终总结（2014下）</a>
					<div>
						前言: 为什么叫越来越好,是写这篇年总的时候突然想到了一部电影,相信很多人也应该看过--&lt;越来越好之村晚&gt;.     讲的是一个乡村的人追求梦想,最后经过努力成功的故事.其实我们何尝不是呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V029qDM.html" rel="bookmark" class="title">数据库脱机  分离 删除所有连接</a>
					<div>
						无法对 数据库'UDS' 执行 删除,因为它正用于复制 sp_removedbreplication 'database' 删除所有连接 USE master; GO DECLARE @SQL VAR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jq1ZM.html" rel="bookmark" class="title">数据库之 ：分页技术：之点击一次取一次数据</a>
					<div>
						前台xaml文件 &lt;Window x:Class=&quot;Supplier.UserI&quot; xmlns=&quot;http://schemas.microsoft.com/winf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJG9d3.html" rel="bookmark" class="title">maven各种依赖</a>
					<div>
						1.java无法导入javax.annotation.Resource &lt;dependency&gt; &lt;groupId&gt;javax.annotation&lt;/groupId&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MB1o7K4.html" rel="bookmark" class="title">wamp环境网站根目录更改</a>
					<div>
						1.修改wampserver的默认目录 安装好wampserver后,网站根目录默认为:安装目录\wamp\www,也就是wampserver安装目录下的www文件夹. 我们以更改为:D\www为例. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGBmBM.html" rel="bookmark" class="title">回溯2--部分全排列</a>
					<div>
						回溯2--部分全排列 一.心得 二.题目及分析 设有n个整数的集合{1,2,...,n},从中任意取出r个数进行排列(r&lt;n),试着列出所有排列 全排列的阉割版,修改输出限制条件即可 三.代码及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXq8RQ0.html" rel="bookmark" class="title">使用数据库判断在线名单以及在线人数</a>
					<div>
						'*********使用数据库判断在线名单以及在线人数 '*********系统支持:asp+access,在windows2000+iis5上测试通过 '*********login.asp**** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDN85w3.html" rel="bookmark" class="title">flask session 对象</a>
					<div>
						简述: session与cookies不一样,session存储在服务器端,一般是进程内,也可通过第三方进行存储. session的生命周期为用户登陆到用户退出之间 使用session需要用到加密标识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRgDj0.html" rel="bookmark" class="title">jackson - 生成jason工具-简单示例</a>
					<div>
						主页: http://jackson.codehaus.org/ https://github.com/FasterXML/jackson 当前jackson分为三部分,需要分别下载: jackson ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLrYXO3.html" rel="bookmark" class="title">android 6&period;0无法上网</a>
					<div>
						谷歌原生安卓系统当连接到移动数据网络或者WIFI网络的时候,其NetworkMonitor模块会向特定的服务器发起一个http的请求并利用收到的响应进行网络状态判断.由于谷歌的服务器被天朝屏蔽,所以导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPX121M.html" rel="bookmark" class="title">斐波那契数列偶数项的和--Python</a>
					<div>
						斐波那契数列(从第三项开始)的每一项的值均等于前两项之和.将第一项和第二项取1和2,那么数列的前10项将是:1,2,3,5,8,13,21,34,55,89……考虑斐波那契数列所有值不超过400000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YL9lrM.html" rel="bookmark" class="title">VC6&period;0下创建多线程的方法和注意的事项</a>
					<div>
						#include&lt;stdio.h&gt; #include &lt;process.h&gt; #include &lt;stdio.h&gt; #include &lt;windows.h&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXR6q3.html" rel="bookmark" class="title">【Android】Android开源项目分类汇总</a>
					<div>
						第一部分 个性化控件(View) 主要介绍那些不错个性化的View,包括ListView.ActionBar.Menu.ViewPager.Gallery.GridView.ImageView.Pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qb9bP4.html" rel="bookmark" class="title">在java中使用正则表达式注意的地方</a>
					<div>
						1. 对^与$的理解 通常我们会通过类似Matcher matcher = Pattern.compile(regex).matcher(string);的代码去拿到一个Matcher对象.这种情况下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lLyqo0.html" rel="bookmark" class="title">iOS使用StroryBoard页面跳转及传值</a>
					<div>
						之前在网上iOS的页面跳转大多都是按回以前的那种xib的形式,但鄙人是使用storyboard的.这篇就只介绍利用storyboard进行页面跳转与传值. 新建页面 iOS的程序也是使用了MVC的思想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLLJXvM.html" rel="bookmark" class="title">简单的plsql to tsql &comma;游标拆解</a>
					<div>
						plsql 1 CREATE OR REPLACE PROCEDURE BMSSA.Usp_Neworderextract_All (sBBID IN VARCHAR2,ordType IN VARC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RLxZY4.html" rel="bookmark" class="title">Kubernetes的Endpoints</a>
					<div>
						在之前的博文中,我们演示过如何通过ceph来实现kubernetes的持久存储,以使得像mysql这种有状态服务可以在kubernetes中运行并保存数据.这看起来很美妙,然而在实际的生产环境使用中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVpbZQ3.html" rel="bookmark" class="title">（HDU）1106 -- 排序</a>
					<div>
						题目链接:http://vjudge.net/problem/HDU-1106 字符串处理的排序问题: 1 #include&lt;stdio.h&gt; 2 #include&lt;algorith ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NKAbZM.html" rel="bookmark" class="title">你想建设一个能承受500万PV&sol;每天的网站吗？服务器每秒要处理多少个请求才能应对？</a>
					<div>
						你想建设一个能承受500万PV/每天的网站吗?服务器每秒要处理多少个请求才能应对? 你想建设一个能承受500万PV/每天的网站吗? 500万PV是什么概念?服务器每秒要处理多少个请求才能应对?如果计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vy61Z0.html" rel="bookmark" class="title">浅谈sed用法</a>
					<div>
						原理 一行文本被读到模式空间以后,首先会判断模式空间的行是否能被你定义的模式所匹配到,如果能匹配到就对它做一次输出操作,而后做编辑操作,如果不期望直接输出模式空间的内容到屏幕可以加-n选项 文本处理三 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
